Package com.omnisci.thrift.server

## Class TKrb5Session

- java.lang.Object
- - com.omnisci.thrift.server.TKrb5Session

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TKrb5Session>`, `org.apache.thrift.TBase<TKrb5Session,​TKrb5Session._Fields>`, `org.apache.thrift.TSerializable`

    public class TKrb5Session
    extends Object
    implements org.apache.thrift.TBase<TKrb5Session,​TKrb5Session._Fields>, Serializable, Cloneable, Comparable<TKrb5Session>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TKrb5Session._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`String` `krbToken`
`static Map<TKrb5Session._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`String` `sessionId`

### Constructor Summary

Constructors
`TKrb5Session()`
`TKrb5Session​(TKrb5Session other)` Performs a deep copy on other.
`TKrb5Session​(String sessionId, String krbToken)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TKrb5Session other)`
`TKrb5Session` `deepCopy()`
`boolean` `equals​(TKrb5Session that)`
`boolean` `equals​(Object that)`
`TKrb5Session._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TKrb5Session._Fields field)`
`String` `getKrbToken()`
`String` `getSessionId()`
`int` `hashCode()`
`boolean` `isSet​(TKrb5Session._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetKrbToken()` Returns true if field krbToken is set (has been assigned a value) and false otherwise
`boolean` `isSetSessionId()` Returns true if field sessionId is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TKrb5Session._Fields field, Object value)`
`TKrb5Session` `setKrbToken​(String krbToken)`
`void` `setKrbTokenIsSet​(boolean value)`
`TKrb5Session` `setSessionId​(String sessionId)`
`void` `setSessionIdIsSet​(boolean value)`
`String` `toString()`
`void` `unsetKrbToken()`
`void` `unsetSessionId()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### sessionId

    public String sessionId

#### krbToken

    public String krbToken

#### metaDataMap

    public static final Map<TKrb5Session._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TKrb5Session

    public TKrb5Session()

#### TKrb5Session

    public TKrb5Session​(String sessionId,
                        String krbToken)

#### TKrb5Session

    public TKrb5Session​(TKrb5Session other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TKrb5Session deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TKrb5Session,​TKrb5Session._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TKrb5Session,​TKrb5Session._Fields>`

#### getSessionId

    public String getSessionId()

#### setSessionId

    public TKrb5Session setSessionId​(String sessionId)

#### unsetSessionId

    public void unsetSessionId()

#### isSetSessionId

    public boolean isSetSessionId()

Returns true if field sessionId is set (has been assigned a value) and false otherwise

#### setSessionIdIsSet

    public void setSessionIdIsSet​(boolean value)

#### getKrbToken

    public String getKrbToken()

#### setKrbToken

    public TKrb5Session setKrbToken​(String krbToken)

#### unsetKrbToken

    public void unsetKrbToken()

#### isSetKrbToken

    public boolean isSetKrbToken()

Returns true if field krbToken is set (has been assigned a value) and false otherwise

#### setKrbTokenIsSet

    public void setKrbTokenIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TKrb5Session._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TKrb5Session,​TKrb5Session._Fields>`

#### getFieldValue

    public Object getFieldValue​(TKrb5Session._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TKrb5Session,​TKrb5Session._Fields>`

#### isSet

    public boolean isSet​(TKrb5Session._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TKrb5Session,​TKrb5Session._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TKrb5Session that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TKrb5Session other)

Specified by:
  `compareTo` in interface `Comparable<TKrb5Session>`

#### fieldForId

    public TKrb5Session._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TKrb5Session,​TKrb5Session._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`